# List LLM integrations

List LLM provider integrations (Anthropic, OpenCode, Codex, system-free) connected to your organization.





Returns the LLM provider integrations your organization has connected. The `id` of an entry whose `type` is `anthropic` is what you pass as `entity_id` when assigning an `anthropic_integration` via [`POST /agents/{agent_id}/resources`](/api/agent-resources/assign).

```http
GET /api/public/v1/integrations/llm
```

## Example [#example]

<Tabs items="[&#x22;bash&#x22;, &#x22;TypeScript&#x22;, &#x22;Ruby&#x22;, &#x22;Python&#x22;, &#x22;Go&#x22;]">
  <Tab value="bash">
    ```bash
    curl -X GET https://api.nairi.ai/api/public/v1/integrations/llm \
      -H "Authorization: Bearer $NAIRI_API_KEY"
    ```
  </Tab>

  <Tab value="TypeScript">
    ```ts
    const res = await fetch("https://api.nairi.ai/api/public/v1/integrations/llm", {
      headers: { Authorization: `Bearer ${process.env.NAIRI_API_KEY}` },
    });
    const integrations = (await res.json()) as Array<{
      id: string;
      type: string;
      name: string;
    }>;
    ```
  </Tab>

  <Tab value="Ruby">
    ```ruby
    require "net/http"
    require "json"
    require "uri"

    uri = URI("https://api.nairi.ai/api/public/v1/integrations/llm")
    req = Net::HTTP::Get.new(uri)
    req["Authorization"] = "Bearer #{ENV['NAIRI_API_KEY']}"

    res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |h| h.request(req) }
    integrations = JSON.parse(res.body)
    ```
  </Tab>

  <Tab value="Python">
    ```python
    import os
    import requests

    res = requests.get(
        "https://api.nairi.ai/api/public/v1/integrations/llm",
        headers={"Authorization": f"Bearer {os.environ['NAIRI_API_KEY']}"},
    )
    integrations = res.json()
    ```
  </Tab>

  <Tab value="Go">
    ```go
    package main

    import (
    	"encoding/json"
    	"fmt"
    	"io"
    	"net/http"
    	"os"
    )

    func main() {
    	req, _ := http.NewRequest("GET", "https://api.nairi.ai/api/public/v1/integrations/llm", nil)
    	req.Header.Set("Authorization", "Bearer "+os.Getenv("NAIRI_API_KEY"))
    	res, _ := http.DefaultClient.Do(req)
    	defer res.Body.Close()
    	raw, _ := io.ReadAll(res.Body)
    	var integrations []map[string]any
    	json.Unmarshal(raw, &integrations)
    	fmt.Println(integrations)
    }
    ```
  </Tab>
</Tabs>

## Response: `200 OK` [#response-200-ok]

```json
[
  {
    "id": "ai_01KFRX8K1CKQGCV2W5J9C9Z37H",
    "type": "anthropic",
    "name": "Production Anthropic",
    "created_at": "2026-02-20T14:00:00.000Z",
    "updated_at": "2026-02-20T14:00:00.000Z"
  },
  {
    "id": "ai_01KFY1NZA4G92ZNX85V8Y9P7T2",
    "type": "system_free",
    "name": "Nairi Free Tier",
    "created_at": "2026-02-22T18:11:09.000Z",
    "updated_at": "2026-02-22T18:11:09.000Z"
  }
]
```

## Response fields [#response-fields]

| Field                       | Type              | Description                                                                   |
| --------------------------- | ----------------- | ----------------------------------------------------------------------------- |
| `id`                        | string (`ai_...`) | Integration ULID. Pass as `entity_id` when assigning `anthropic_integration`. |
| `type`                      | string            | One of `anthropic`, `opencode`, `codex`, `system_free`.                       |
| `name`                      | string            | Display name (renameable via `PATCH /integrations/llm/{id}`).                 |
| `created_at` / `updated_at` | string            | ISO 8601 timestamps.                                                          |
